### Contributing ###

Thank you for your interest in `strong-log-transformer`, an open source project
administered by StrongLoop.

Contributing to `strong-log-transformer` is easy. In a few simple steps:

  * Ensure that your effort is aligned with the project's roadmap by
    talking to the maintainers, especially if you are going to spend a
    lot of time on it.

  * Make something better or fix a bug.

  * Adhere to code style outlined in the [Google C++ Style Guide][] and
    [Google Javascript Style Guide][].

  * Sign your commits to agree with the DCO (Developer Certificate of Origin)

  * Submit a pull request through Github.


### Developer Ceritifcate of Origin ###

```
Developer Certificate of Origin
Version 1.1

Copyright (C) 2004, 2006 The Linux Foundation and its contributors.
1 Letterman Drive
Suite D4700
San Francisco, CA, 94129

Everyone is permitted to copy and distribute verbatim copies of this
license document, but changing it is not allowed.


Developer's Certificate of Origin 1.1

By making a contribution to this project, I certify that:

(a) The contribution was created in whole or in part by me and I
    have the right to submit it under the open source license
    indicated in the file; or

(b) The contribution is based upon previous work that, to the best
    of my knowledge, is covered under an appropriate open source
    license and I have the right under that license to submit that
    work with modifications, whether created in whole or in part
    by me, under the same open source license (unless I am
    permitted to submit under a different license), as indicated
    in the file; or

(c) The contribution was provided directly to me by some other
    person who certified (a), (b) or (c) and I have not modified
    it.

(d) I understand and agree that this project and the contribution
    are public and that a record of the contribution (including all
    personal information I submit with it, including my sign-off) is
    maintained indefinitely and may be redistributed consistent with
    this project or the open source license(s) involved.
```

[Google C++ Style Guide]: https://google.github.io/styleguide/cppguide.html
[Google Javascript Style Guide]: https://google.github.io/styleguide/javascriptguide.xml
